Skip navigation
NASA Logo, National Aeronautics and Space Administration
548 Views 6 Replies Latest reply: Jul 18, 2019 5:28 AM by Pavani Goriparthi RSS
Currently Being Moderated

Jul 10, 2019 1:30 PM

Error while installing NU-WRF

Hi,

 

I am trying to install NU-WRF using GNU compilers(version-7.3.0) and openmpi mpi implementation in an HPC server. I started first building wrf.

 

 

Building NU-WRF

---------------

 

INFO main : Setting up build environment:

INFO wrf_build : There is no evidence of a previous WRF-LIS build.

INFO main : Build [wrf]

INFO configure : Configure [wrf]

INFO build : Compile [wrf]

INFO build : Build library for WRF-LIS

INFO build :  - building [wrf]

Create .build_settings file with NU-WRF build options.

ERROR build : [wrf] build FAILED

INFO build : [wrf] build time taken = 407.647283

 

I am getting a lot of errors .I have attached the make.log file, nu-wrf.cfg, set_module_envs.bash below.

 

Is the error related to compilers or regarding libraries? Kindly help to solve this error.

Attachments:
  • Currently Being Moderated
    Jul 10, 2019 4:33 PM (in response to Pavani Goriparthi)
    Re: Error while installing NU-WRF

    Hello Pavani,

     

    The make.log output shows that the LIS dependencies did not compile:

     

    ar: creating ../../main/libwrflib.a

    ar: AMSRE_SR_em_obsMod.o: No such file or directory

    gmake[1]: *** [explis] Error 1

    gmake[1]: Leaving directory `/scratch/models/NU-WRF/nu-wrf/WRFV3/lis/make'

    make: *** [explis] Error 2

     

    Try the following:

     

    ./build.sh lis,wrf

     

    and let me know how it goes.

     

    ---

    Carlos

      • Currently Being Moderated
        Jul 11, 2019 9:34 AM (in response to Pavani Goriparthi)
        Re: Error while installing NU-WRF

        Obviously LIS is still not compiling for you. Try "./build.sh lis". If LIS still does not build then try to compile manually, just one file. Also, make sure your compiler/MPI combinations are correct and that you are using the correct libraries. I just tried building LIS,WRF on my end using the same tarball I gave you and it worked for me  (see attached log files) - of course I used the intel compiler.

         

         

        Finally, I noted in your make log the following lines:

         

        V3.9.1.1 

         

        Compiling: WRF_EM_CORE 

        WRFIO_NCD_LARGE_FILE_SUPPORT=1

         

        Linux virgo1.local 3.10.0-862.3.2.el7.x86_64 #1 SMP Mon May 21 23:36:36 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

         

        GNU Fortran (GCC) 4.8.5 20150623 (Red Hat 4.8.5-28)

        Copyright (C) 2015 Free Software Foundation, Inc.

         

        So, it looks like you are using gcc 4.8.5 but your libraries were built with gcc 7.3.

         

        ---

        Carlos

        Attachments:
          • Currently Being Moderated
            Jul 15, 2019 12:47 PM (in response to Pavani Goriparthi)
            Re: Error while installing NU-WRF

            I am not sure why your build is not working. Your LOG files, including the latest, suggest that your LIS is not built:

             

             

                USE LISWRFGridCompMod, only : LISWRF_import

                   1

            Fatal Error: Can't open module file ‘liswrfgridcompmod.mod’ for reading at (1): No such file or directory

             

             

            Try cleaning everything and run "build.sh lis,wrf" again

             

             

            Can WRF,WPS be build using configure and compile options instead of using build.sh ?

             

            Yes. Please refer to the WRF documentation for that.

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • Correct Answers - 4 points
  • Helpful Answers - 2 points
USAGov logo NASA Logo - nasa.gov